import { SetupContext } from 'vue';
import { LayerManagerProps, LayerManagerEmits } from './types';
export declare const useLayerManager: (props: LayerManagerProps, emit: SetupContext<LayerManagerEmits>['emit']) => {
    queryResult: import('@vue/reactivity').Ref<any, any>;
    attributeTableContainerElement: import('@vue/reactivity').ComputedRef<any>;
    isLayerOperationComponentValid: import('@vue/reactivity').ComputedRef<boolean>;
    layerIcon: import('@vue/reactivity').ComputedRef<(layer: any) => string>;
    handleLayerExpand: (keys: string[]) => void;
    handleLayerDrop: ({ dragNode, node, dropPosition, dropToGap }: {
        dragNode: any;
        node: any;
        dropPosition: any;
        dropToGap: any;
    }) => void;
    handleLayerClick: (layerTreeItem: any, event: any) => void;
    handleLayerToolClick: (layerTreeItem: any, event: any) => void;
    handleLayerOpacityChange: (layerTreeItem: any) => Promise<void>;
    handleLayerTitleChange: (layerTreeItem: any) => Promise<void>;
    handleLayerOperationClick: ({ layerOperationType }: {
        layerOperationType: any;
    }, layerTreeItem: any) => Promise<void>;
    handleOpacityPanelCloseClick: (layers: Array<any>) => void;
    handleTitlePanelCloseClick: (layers: any) => void;
    handleReturnLayerManager: () => void;
    getAttributeTableMaxHeight: (tableElement: any) => any;
    destroyAttributeTable: () => any;
    searchValue: import('@vue/reactivity').Ref<string, string>;
    expandedKeys: import('@vue/reactivity').Ref<any[], any[]>;
    autoExpandParent: import('@vue/reactivity').Ref<boolean, boolean>;
    layerOperations: import('@vue/reactivity').Ref<{}, {}>;
    layerTreeHeight: import('@vue/reactivity').Ref<number, number>;
    layerTreeData: import('@vue/reactivity').Ref<any[], any[]>;
    draggable: import('@vue/reactivity').Ref<boolean, boolean>;
    choosedLayerKeyList: import('@vue/reactivity').Ref<any[], any[]>;
    layerOperationComponent: import('@vue/reactivity').Ref<any, any>;
    layerOperationComponentProps: import('@vue/reactivity').Ref<any, any>;
    attributeTableLayerParams: import('@vue/reactivity').Ref<any, any>;
    attributeTableQueryOtherOptions: import('@vue/reactivity').Ref<any, any>;
    attributeTableCollapsed: import('@vue/reactivity').Ref<boolean, boolean>;
};
